import java.awt.event.*;

/**
 * Lab #5 CS 2334, Section SECTION NUMBER GOES HERE DATE GOES HERE
 * <p>
 * The MVC controller for the program.
 * </p>
 * 
 * @version 1.0
 * 
 */
public class PlacesController {
	private PlacesModel model;
	private PlacesInputWindow inputView;

	/**
	 * Creates new PlacesController
	 */
	public PlacesController() {
		// intentionally empty
	}

	/**
	 * AddPlaceListener provides a method to create a new place. The place
	 * should then be added to the place list of the model. The values for the
	 * new place come from the fields of the inputView. If the model is null
	 * when the method is called, it returns without taking any action.
	 */
	private class AddPlaceListener implements ActionListener {
		// add method here

	}

	/**
	 * ClearPlacesListener provides a method to clear the place list of the
	 * model. If the model is null when the method is called, it returns without
	 * taking any action.
	 */
	private class ClearPlacesListener implements ActionListener {
		// add method here

	}

	/**
	 * ClearInputFieldsListener provides a method to clear the input fields of
	 * the inputView.
	 */
	private class ClearInputFieldsListener implements ActionListener {
		// add method here

	}

	/**
	 * @param model
	 *            to set as the model
	 */
	public void setModel(PlacesModel model) {
		this.model = model;
	}

	/**
	 * @return PlacesModel the model
	 */
	public PlacesModel getModel() { // future use
		return model;
	}

	/**
	 * @param theView
	 *            on which the listeners should be set
	 */
	public void setInputWindow(PlacesInputWindow theView) {
		inputView = theView;

		// Register listeners
		inputView.getAddPlaceButton().addActionListener(new AddPlaceListener());

		/***
		 *** The first action listener has been added above. You need to add the
		 * others below. There needs to be at least one action listener for each
		 * component one which actions can occur.
		 ***/
		

		System.out.println("listeners registered in controller for input window");
	}

	/**
	 * @return the window (in case it needs to be sent messages from elsewhere)
	 */
	public PlacesInputWindow getInputWindow() { // future use
		return inputView;
	}
}