import java.util.LinkedHashMap;

/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a list of places.
 * </p>
 * @version 1.0
 *
 */
public class Places {
	private String country;
	private LinkedHashMap<String, Place> placeMap;

	public Places (){
		this.country = "";
		this.placeMap = new LinkedHashMap<String, Place>();
	}
	
	public Places (String country) {
		this.country = country;
		this.placeMap = new LinkedHashMap<String, Place>();
	}

	/**
	 * @param country
	 * @param placeMap
	 */
	public Places(String country, LinkedHashMap<String, Place> placeMap) {
		this.country = country;
		this.placeMap = placeMap;
	}

	/**
	 * @return the country
	 */
	public String getCountry() {
		return country;
	}

	/**
	 * @param country the country to set
	 */
	public void setCountry(String country) {
		this.country = country;
	}

	/**
	 * @return the placeMap
	 */
	public LinkedHashMap<String, Place> getPlaceMap() {
		return placeMap;
	}

	/**
	 * @param placeMap the collection of places to set
	 */
	public void setPlaceMap(LinkedHashMap<String, Place> placeMap) {
		this.placeMap = placeMap;
	}
	
	/**
	 * @param place to add to the placeMap
	 */
	public void addToPlaces(Place place) {
		this.placeMap.put(place.getName(), place);
	}
	
	/**
	 * Clears the collection of places
	 */
	public void clearPlaces() {
		this.placeMap = new LinkedHashMap<String, Place>();
	}
}